DynamicJava Javadoc: Class CatchedExceptionError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.error
Class CatchedExceptionError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--koala.dynamicjava.interpreter.error.ExecutionError
                        |
                        +--koala.dynamicjava.interpreter.error.CatchedExceptionError

All Implemented Interfaces:
  java.io.Serializable

public class CatchedExceptionError
extends ExecutionError

This error is thrown when a runtime exception appends while interpreting a statement

See Also:
  Serialized Form

Fields inherited from class koala.dynamicjava.interpreter.error.ExecutionError
`SHOW_CAUSE_PROPERTY, SHOW_TRACE_PROPERTY, thrown`

Constructor Summary
`CatchedExceptionError(java.lang.Exception e)` Constructs an `CatchedExceptionError` with no detail message.
`CatchedExceptionError(java.lang.Exception e, Node n)` Constructs an `CatchedExceptionError` with the specified detail message, filename, line, column and exception.

Method Summary
`java.lang.Throwable` | `getException()` Returns the exception that causes this error throwing

Methods inherited from class koala.dynamicjava.interpreter.error.ExecutionError
`getMessage, getNode, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatchedExceptionError

    public CatchedExceptionError(java.lang.Exception e)

  Constructs an `CatchedExceptionError` with no detail message.

### CatchedExceptionError

    public CatchedExceptionError(java.lang.Exception e,
                                 Node n)

  Constructs an `CatchedExceptionError` with the specified detail message, filename, line, column and exception.
  Parameters:
    `e` - the catched exception
    `n` - the node in the syntax tree where the error occurs

Method Detail

### getException

    public java.lang.Throwable getException()

  Returns the exception that causes this error throwing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.